com.ihr.xbrl.om.formula.aspects

## Class EntityIdentifierAspectRule

- java.lang.Object
- - com.ihr.xbrl.om.formula.aspects.CommonAspectRule
  - - com.ihr.xbrl.om.formula.aspects.EntityIdentifierAspectRule

- All Implemented Interfaces:
    EntityIdentifierAspectInterface

      public class EntityIdentifierAspectRule
      extends CommonAspectRule
      implements EntityIdentifierAspectInterface

  The Class EntityIdentifierAspectRule.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `resourceName` The Constant resourceName.

    - ### Fields inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `ALLDIMENSIONALASPECTS, ALLNONDIMENSIONALASPECTS, ANY, COMPLETESCENARIO, COMPLETESEGMENT, CONCEPT, DIMENSION, ENTITYIDENTIFIER, LOCATION, NONE, NONXDTSCENARIO, NONXDTSEGMENT, PERIOD, UNIT, VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityIdentifierAspectRule(XBRLFormula formula, net.sf.saxon.s9api.XdmNode aspectNode)` Instantiates a new entity identifier aspect rule.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLEntity` | `getEntity(XPathHelper xph)` Gets the entity.
    `XBRLContext` | `getLastEvaluatedContext()` Gets the last evaluated context.
    `javax.xml.namespace.QName` | `getSource()` Access to the source from other classes.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `getAspectsText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceName

          public static final javax.xml.namespace.QName resourceName

      The Constant resourceName.

  - ### Constructor Detail

    - #### EntityIdentifierAspectRule

          public EntityIdentifierAspectRule(XBRLFormula formula,
                                    net.sf.saxon.s9api.XdmNode aspectNode)
                                     throws XFValidationException

      Instantiates a new entity identifier aspect rule.
      Parameters:
        `formula` - the formula
        `aspectNode` - the aspect node
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### getEntity

          public XBRLEntity getEntity(XPathHelper xph)
                               throws XFValidationException

      Description copied from interface: `EntityIdentifierAspectInterface`
      Gets the entity.
      Specified by:
        `getEntity` in interface `EntityIdentifierAspectInterface`
      Parameters:
        `xph` - the xph
      Returns:
        the entity
      Throws:
        `XFValidationException` - the XF validation exception

    - #### getLastEvaluatedContext

          public XBRLContext getLastEvaluatedContext()

      Description copied from interface: `EntityIdentifierAspectInterface`
      Gets the last evaluated context.
      Specified by:
        `getLastEvaluatedContext` in interface `EntityIdentifierAspectInterface`
      Returns:
        the last evaluated context

    - #### getSource

          public javax.xml.namespace.QName getSource()

      Access to the source from other classes.
      Specified by:
        `getSource` in interface `EntityIdentifierAspectInterface`
      Returns:
        QName